Subject: [PATCH net 0/4] llc: fix sk_buff refcounting

From: Eric Biggers <[email-masked]>
Date: Sun, 6 Oct 2019 14:24:23 -0700

Hello,

Patches 1-2 fix the memory leaks that syzbot has reported in net/llc:

	memory leak in llc_ui_create (2)
	memory leak in llc_ui_sendmsg
	memory leak in llc_conn_ac_send_sabme_cmd_p_set_x

Patches 3-4 fix related bugs that I noticed while reading this code.

Note: I've tested that this fixes the syzbot bugs, but otherwise I don't
know of any way to test this code.

Eric Biggers (4):
  llc: fix sk_buff leak in llc_sap_state_process()
  llc: fix sk_buff leak in llc_conn_service()
  llc: fix another potential sk_buff leak in llc_ui_sendmsg()
  llc: fix sk_buff refcounting in llc_conn_state_process()

 include/net/llc_conn.h |  2 +-
 net/llc/af_llc.c       | 34 ++++++++++++---------
 net/llc/llc_c_ac.c     |  8 +++--
 net/llc/llc_conn.c     | 67 +++++++++++-------------------------------
 net/llc/llc_if.c       | 12 +++++---
 net/llc/llc_s_ac.c     | 12 ++++++--
 net/llc/llc_sap.c      | 23 +++++----------
 7 files changed, 69 insertions(+), 89 deletions(-)

-- 
2.23.0